> For the complete documentation index, see [llms.txt](https://www.aevo.xyz/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.aevo.xyz/docs/api-reference/urls/private-api/postrfqs.md).

# POST /rfqs

Create a new RFQ block.

`POST https://api.aevo.xyz/rfqs`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/docs/api-reference/urls/authentication.md).

## Body Parameters

| Field            | Type           | Required | Description                                                                                                                                                       |
| ---------------- | -------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `legs`           | array\[object] | No       |                                                                                                                                                                   |
| `full_size`      | boolean        | No       | Full size only if true. Example: `True`                                                                                                                           |
| `is_buy`         | boolean        | No       | True for long order, false for short order. Example: `True`                                                                                                       |
| `amount`         | string         | No       | Number of contracts. In 6 decimals fixed number. Example: `1000000`                                                                                               |
| `duration`       | integer        | No       | Duration of the RFQ block in seconds Example: `30`                                                                                                                |
| `counterparties` | array\[string] | No       | List of counterparties allowed to quote for the RFQ block Example: `['0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2', '0xE9b3a48d15BE316A8e34FAd53fFDFDddf0C3D24b']` |

## Example Request

```bash
curl --request POST \
     --url https://api.aevo.xyz/rfqs \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>' \
     --header 'content-type: application/json' \
     --data '{ ... }'
```

## Responses

**`200`** — RFQ block created.

| Field    | Type           | Required | Description |
| -------- | -------------- | -------- | ----------- |
| `blocks` | array\[object] | No       |             |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.aevo.xyz/docs/api-reference/urls/private-api/postrfqs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
